Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.event
Interface TableColumnModelExtListener

All Superinterfaces:
  java.util.EventListener, javax.swing.event.TableColumnModelListener

All Known Implementing Classes:
  JXTable, JXTableHeader, JXTreeTable

    public interface TableColumnModelExtListener

extends javax.swing.event.TableColumnModelListener

Extended `TableColumnModelListener` which is interested in property changes of contained `TableColumn`s.

Enhanced `TableColumnModelExt` guarantees to notify these extended column listeners. An example of a client which adjusts itself based on `headerValue` property of visible columns:

     TableColumnModelExtListener l = new TableColumnModelExtListener() {

         public void columnPropertyChange(PropertyChangeEvent event) {
             if ("headerValue".equals(event.getPropertyName())) {
                 TableColumn column = (TableColumn) event.getSource();
                 if ((column instanceof TableColumnExt)
                         && !((TableColumnExt) column).isVisible()) {
                     return;
                 }
                 resizeAndRepaint();
             }
         }

         public void columnAdded(TableColumnModelEvent e) {
         }

         public void columnMarginChanged(ChangeEvent e) {
         }

         public void columnMoved(TableColumnModelEvent e) {
         }

         public void columnRemoved(TableColumnModelEvent e) {
         }

         public void columnSelectionChanged(ListSelectionEvent e) {
         }

     };
     columnModel.addColumnModelListener(l);

Author:
  Jeanette Winzenburg
See Also:
  `TableColumnModelExt`

Method Summary
`void` | `columnPropertyChange(java.beans.PropertyChangeEvent event)` Notifies listeners about property changes of contained columns.

Methods inherited from interface javax.swing.event.TableColumnModelListener
`columnAdded, columnMarginChanged, columnMoved, columnRemoved, columnSelectionChanged`

Method Detail

### columnPropertyChange

    void columnPropertyChange(java.beans.PropertyChangeEvent event)

  Notifies listeners about property changes of contained columns. The event is the original as fired from the `TableColumn`.

  Parameters:
    `event` - a `PropertyChangeEvent` fired by a `TableColumn` contained in a `TableColumnModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.